Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jain.protocol.ss7.oam.sccp
Interface SccpEntitySetMBean

public abstract interface SccpEntitySetMBean
extends SccpManagedObjectMBean

This class identifies the set of access points that result from a global title translation. This set may contain one or two access points that are stored in an array. The distribution of SCCP traffic over the entities in the set depends on the value of the Sharing Mode attribute.

NB: The two access points of this entity set are contained in an array where

- Sap[0] is known as the first entity
- Sap[1] is known as the second entity

There are no statistics that can be collected for this MBean

The following Alarms can be emitted by this MBean

- ALARM_MO_CREATED
- ALARM_MO_DELETED
- ALARM_MO_ATTRIBUTE_VALUE_CHANGED

The following Errors can be emitted by this MBean

- NON_OAM_RELATED_ERROR

Relationship between the SCCP JAIN OAM MBean

Version:
  1.1
Author:
  Colm Hayden & Phelim O'Doherty

Field Summary
`static int` | `SM_DUPLI_DOMINANT` Sharing Mode Constant: "Dupli-Dominant", indicates that the second entity is a backup for the first entity.
`static int` | `SM_DUPLI_REPLACEMENT` Sharing Mode Constant: "Dupli-Replacement", indicates the second entity is standby for backup for the first entity, but after changeover, the primary and backup roles are swapped.
`static int` | `SM_DUPLI_SHARED` Sharing Mode Constant: "Dupli-Loadshared", indicates that the load is shared over both the entities in the set.
`static int` | `SM_SOLITARY` Sharing Mode Constant: "Solitary", indicates that there can only be one access point in the set.

Fields inherited from class jain.protocol.ss7.oam.OamManagedObjectMBean
`OBJECT_TYPE_CONCERNED_AREA, OBJECT_TYPE_GLOBAL_TITLE_ENTRY, OBJECT_TYPE_LINK, OBJECT_TYPE_LINKSET, OBJECT_TYPE_MTP2_LAYER_MANAGER, OBJECT_TYPE_MTP2_SAP, OBJECT_TYPE_MTP2_TIMER_PROFILE, OBJECT_TYPE_MTP3_LAYER_MANAGER, OBJECT_TYPE_MTP3_SAP, OBJECT_TYPE_MTP3_TIMER_PROFILE, OBJECT_TYPE_OAM_TIMER_VAL, OBJECT_TYPE_OWN_SIGNALLING_POINT, OBJECT_TYPE_ROUTE, OBJECT_TYPE_ROUTESET, OBJECT_TYPE_SCCP_ENTITY_SET, OBJECT_TYPE_SCCP_LAYER_MANAGER, OBJECT_TYPE_SCCP_ROUTING_CONTROL, OBJECT_TYPE_SCCP_SAP, OBJECT_TYPE_SCCP_TIMER_PROFILE, OBJECT_TYPE_SCREENING_TABLE, OBJECT_TYPE_TCAP_LAYER_MANAGER, OBJECT_TYPE_TCAP_NODE`

Fields inherited from class java.io.Serializable
`serialVersionUID`

Method Summary
`ObjectName` | `getDestinationSubsystem(java.lang.Integer index)` Returns the ObjectName of one the destination Subsystems (SCCP SAPs) of this Entity Set.
`ObjectName[]` | `getDestinationSubsystems()` Returns the ObjectName of the destination Subsystems (SCCP SAPs) of this Entity Set.
`java.lang.Integer` | `getSharingMode()` Returns the sharing mode used by this SCCP entity set.
`void` | `setDestinationSubsystem(java.lang.Integer index, ObjectName destinationSubsystem)` Sets one of the destination Subsystems (SCCP SAPs) of this Entity Setidentified by the specified ObjectName.
`void` | `setDestinationSubsystems(ObjectName[] destinationSubsystems)` Sets the destination Subsystems (SCCP SAPs) of this Entity Set identified by the specified ObjectName.
`void` | `setSharingMode(java.lang.Integer sharingMode)` Sets the sharing mode used by this SCCP entity set.

Methods inherited from interface jain.protocol.ss7.oam.OamManagedObjectMBean
`getName, getObjectId, getObjectName, getObjectType, getProprietaryInformation, getStatistic, setName, startPollingStatistic, stopPollingStatistic`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Field Detail

### SM_SOLITARY

    public static final int SM_SOLITARY

  Sharing Mode Constant: "Solitary", indicates that there can only be one access point in the set.

### SM_DUPLI_DOMINANT

    public static final int SM_DUPLI_DOMINANT

  Sharing Mode Constant: "Dupli-Dominant", indicates that the second entity is a backup for the first entity.

### SM_DUPLI_REPLACEMENT

    public static final int SM_DUPLI_REPLACEMENT

  Sharing Mode Constant: "Dupli-Replacement", indicates the second entity is standby for backup for the first entity, but after changeover, the primary and backup roles are swapped.

### SM_DUPLI_SHARED

    public static final int SM_DUPLI_SHARED

  Sharing Mode Constant: "Dupli-Loadshared", indicates that the load is shared over both the entities in the set.

Method Detail

### getSharingMode

    public java.lang.Integer getSharingMode()

  Returns the sharing mode used by this SCCP entity set. The sharing mode determines the distribution of SCCP traffic over the entities in this set.
  Returns:
    one of the defined sharing mode constants

### setSharingMode

    public void setSharingMode(java.lang.Integer sharingMode)
                        throws java.lang.IllegalArgumentException

  Sets the sharing mode used by this SCCP entity set. The sharing mode determines the distribution of SCCP traffic over the entities in this set.
  Parameters:
    `sharingMode` - one of the defined sharing mode constants
  Throws:
    java.lang.IllegalArgumentException - - if the supplied sharing mode is not one of the defined sharing mode constants

### setDestinationSubsystems

    public void setDestinationSubsystems(ObjectName[] destinationSubsystems)
                                  throws TooManyInstancesException

  Sets the destination Subsystems (SCCP SAPs) of this Entity Set identified by the specified ObjectName. The distribution of SCCP traffic over the entities in the set depends on the value of the Sharing Mode attribute. There can be a maximum of two SCCP Access Points in the set, with only one access point if the sharing mode is SM_SOLITARY.
  Parameters:
    `destinationSubsystems` - an array of ObjectNames (with a maximum size = 2) of SCCP access points.
  Throws:
    TooManyInstancesException - - if the size of destinationSubsystems is greater than 1 if the sharing mode is SM_SOLITARY or if the size of destinationSubsystems is greater than 2 if the sharing mode is SM_DUPLI_DOMINANT, SM_DUPLI_REPLACEMENT, or SM_DUPLI_SHARED.

### getDestinationSubsystems

    public ObjectName[] getDestinationSubsystems()

  Returns the ObjectName of the destination Subsystems (SCCP SAPs) of this Entity Set. The distribution of SCCP traffic over the entities in the set depends on the value of the Sharing Mode attribute. There can be a maximum of two SCCP Access Points in the set, with only one access point if the sharing mode is SM_SOLITARY.
  Returns:
    an array (with a maximum size = 2) of SCCP access points.

### setDestinationSubsystem

    public void setDestinationSubsystem(java.lang.Integer index,
                                        ObjectName destinationSubsystem)
                                 throws TooManyInstancesException

  Sets one of the destination Subsystems (SCCP SAPs) of this Entity Setidentified by the specified ObjectName.
  Parameters:
    `index` - the access point array index. There can be a maximum of two SCCP Access Points in the set, with only one access point if the sharing mode is SM_SOLITARY therefore the index can have a value of only 0 or 1.
    `destinationSubsystem` - the ObjectName of an SCCP access point identifying the destination Subsystem.
  Throws:
    TooManyInstancesException - - if index is greater than 1 if the sharing mode is SM_SOLITARY or if index is greater than 2 if the sharing mode is SM_DUPLI_DOMINANT, SM_DUPLI_REPLACEMENT, or SM_DUPLI_SHARED.

### getDestinationSubsystem

    public ObjectName getDestinationSubsystem(java.lang.Integer index)

  Returns the ObjectName of one the destination Subsystems (SCCP SAPs) of this Entity Set.
  Parameters:
    `index` - the access point array index. There can be a maximum of two SCCP Access Points in the set, with only one access point if the sharing mode is SM_SOLITARY therefore the index can have a value of only 0 or 1.
  Returns:
    the SCCP access point identifying the destination Subsystem.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

11 August 2000

Copyright - 2000 Sun Microsystems